#!/usr/bin/perl
#
#  (Karol Miaskiewicz, March 2009)

BEGIN { push(@INC, '/home/www/ifstat') } ;
use strict ;
use Ifstat ;
use CGI ;
use vars '%frm' ;

###  print the header
&Ifstat::Header_d ;

###  parse and sanitize form input
CGI::ReadParse(*frm) ;
if ( $frm{'host'} !~ m/^[0-9a-zA-Z-]+$/ ) {
   print "illegal host name found or host name not provided </body></html>\n" ;
   exit (1) ; }
if ( $frm{'file'} !~ m/^[0-9a-zA-Z-_]+$/ ) {
   print "illegal character found in the file name</body></html>\n" ;
   exit (1) ; }
my $host = $frm{'host'} ;
my $file = $frm{'file'} ;
my $path = $Ifstat::datadir."/$host"."/$file"."/datafile" ;

if (! -r $path) { 
  print "Data file cannot be read.</body></html>\n" ;
  exit (2) ; }
else {
  print "<div class=\"h2\">IFSTAT network traffic data for host: $host</div>\n" ;
  &Ifstat::spectrum ;
  print "<table><br>\n" ;
  print "<tr class=\"tableheader\"><td>Date</td><td>Time</td><td>IN (kB/s)</td><td>OUT (kB/s)</td></tr>\n";
  open (DATA, "<$path") ;
  flock (DATA, 2) ;
  while (<DATA>) {
    print ; }
}

## finish html
print "</table></body></html>\n" ;

exit(0) ;

